Skip to main content
GET
/
public
/
PreTrade
Pre-Trade Data
curl --request GET \
  --url https://api.kraken.com/0/public/PreTrade
{
  "result": {
    "symbol": "BTC/USD",
    "description": "Bitcoin / US Dollars",
    "base_asset": "BTC",
    "base_dti_code": "<string>",
    "base_dti_short_name": "<string>",
    "quote_dti_code": "<string>",
    "quote_dti_short_name": "<string>",
    "base_notation": "UNIT",
    "quote_asset": "USD",
    "quote_notation": "MONE",
    "venue": "PGSL",
    "system": "CLOB",
    "bids": [
      {
        "side": "BUY",
        "price": "102002.1",
        "qty": "102002.1",
        "count": 123,
        "submission_ts": "2024-05-30T12:34:56.123456Z",
        "publication_ts": "2024-05-30T12:34:56.123456Z"
      }
    ],
    "asks": [
      {
        "side": "SELL",
        "price": "102002.1",
        "qty": "102002.1",
        "count": 123,
        "submission_ts": "2024-05-30T12:34:56.123456Z",
        "publication_ts": "2024-05-30T12:34:56.123456Z"
      }
    ]
  },
  "error": [
    "EGeneral:Invalid arguments"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

symbol
string
required

A list of symbols for the currency pairs.

Required string length: 3 - 32

Response

200 - application/json

The top price levels of the aggregated order book.

result
object

An aggregated order book.

error
string[]

Kraken API error